Bug Hunting Session
Bug 95856 - Scan hangs in Draw
Summary: Scan hangs in Draw
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scanning
  Show dependency treegraph
 
Reported: 2015-11-16 15:57 UTC by aaaemg
Modified: 2017-07-27 12:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description aaaemg 2015-11-16 15:57:29 UTC
In LibreOffice 5.0.1 and 5.0.3, Draw hangs when scanning a document.
The scan progress bar starts then stops and document is never displayed, must kill Draw.
Sometimes, but rarely, I can sucessfully scan 1 page but never more.
Issue encountered on a Windows 7 PC.
I tried to update the printer/scanner driver (HP F4280), no difference.
I rolled back to Libre Office 4.4.2 and no more problem, scan works fine, even with many pages.
Comment 1 Buovjaga 2015-11-16 18:45:19 UTC
Sounds the same as bug 93564

I wonder, if a backtrace could be created: https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg

I haven't had a lot of luck getting a bt of a hang, only crashes, though..
Comment 2 raal 2015-11-17 17:53:39 UTC
Hello, is it duplicate of the bug 92478?
Comment 3 Buovjaga 2015-11-17 18:00:15 UTC
Let's set to NEEDINFO while waiting for reporter to comment.

Set to NEEDINFO.
Change back to UNCONFIRMED, if you believe it is a different problem. Change to RESOLVED DUPLICATE of bug 92478, if the problem is the same.
Comment 4 aaaemg 2015-11-17 18:40:23 UTC
(In reply to raal from comment #2)
> Hello, is it duplicate of the bug 92478?

Doesn't look to be the same 92478 because in my case LO doesn't crash, it hangs. The scanner completes the scan (I can see and hear it) but the data is not transfered to LO : the progress bar stops and impossible to cancel the operation, only solution is to kill Draw from Task Manager
Comment 5 aaaemg 2015-11-17 18:42:54 UTC
(In reply to Beluga from comment #1)
> Sounds the same as bug 93564
> 
> I wonder, if a backtrace could be created:
> https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
> 
> I haven't had a lot of luck getting a bt of a hang, only crashes, though..

Could be the same or different from bug 93564, can't tell because there is no description of the issue in bug 93564
Comment 6 MarjaE 2015-11-18 20:48:24 UTC
I'm trying to understand the workflow here.

I would scan something in another app, create a raster image, and save that. I could insert that image into LibreOffice Draw. Some of my older documents have problems because the scanned images get distorted, or disappear. But I don't understand scanning the image into LibreOffice Draw itself.
Comment 7 Buovjaga 2015-11-19 06:26:18 UTC
(In reply to MarjaE from comment #6)
> I'm trying to understand the workflow here.
> 
> I would scan something in another app, create a raster image, and save that.
> I could insert that image into LibreOffice Draw. Some of my older documents
> have problems because the scanned images get distorted, or disappear. But I
> don't understand scanning the image into LibreOffice Draw itself.

Insert - Media - Scan.
Comment 8 Buovjaga 2016-11-29 12:03:22 UTC
Does it still hang with version 5.2?

You could try getting information on the hang in WinDbg by giving the command
~* kp
after the hang has happened. You might have to first do Debug - Break from the menu.
Comment 9 Aron Budea 2016-12-04 09:32:29 UTC
Not reproduced with 5.0.6.3 or 5.2.3.2 / Windows 7 with an Epson Perfection 1670.
Comment 10 QA Administrators 2017-06-28 12:36:38 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-07-27 12:02:06 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20170727